// 极简类型系统：仅支持 void 与 i32。

// 还应该包含 f32、数组类型等
// - 参照SysY官方文档范围逐步补齐
#include "ir/IR.h"

namespace ir {

std::shared_ptr<Type> Type::Void() { return DefaultContext().Void(); }

std::shared_ptr<Type> Type::Int32() { return DefaultContext().Int32(); }

std::shared_ptr<Type> Type::PtrInt32() { return DefaultContext().PtrInt32(); }

}  // namespace ir
